<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <data>
        <variable
            name="activity"
            type="com.seven.iznajmiromobil.view.scooters.ScooterActivity" />
    </data>

    <LinearLayout
        android:id="@+id/root_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:padding="16dp">

        <TextView
            android:id="@+id/scooter_comment"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            tools:text="Scooter comment"
            android:textSize="22sp"
            android:layout_margin="16dp"/>

        <LinearLayout
            android:id="@+id/images_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"/>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:padding="8dp">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:text="@string/edit_photos"
                android:textSize="24sp"
                android:textAlignment="center"
                android:background="@drawable/background_button"
                android:layout_margin="8dp"
                android:onClick="@{() -> activity.editPhotos()}"
                android:padding="4dp"
                android:layout_weight="1"/>

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:text="@string/delete_scooter"
                android:textSize="24sp"
                android:textAlignment="center"
                android:background="@drawable/background_button"
                android:layout_margin="8dp"
                android:onClick="@{() -> activity.deleteScooter()}"
                android:padding="4dp"
                android:layout_weight="1" />

        </LinearLayout>

    </LinearLayout>

</layout>